complexType "RelativeDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier, period, dayType?, businessDayConvention?, (businessCentersReference | businessCenters)?, dateRelativeTo?, adjustedDate?, periodSkip?, scheduleBounds?
</...>

Content Model Elements (10):

  adjustedDate (defined in RelativeDateOffset complexType),
  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  businessDayConvention (defined in RelativeDateOffset complexType),
  dateRelativeTo (defined in RelativeDateOffset complexType),
  dayType (defined in Offset complexType),
  period (defined in Period complexType),
  periodMultiplier (defined in Period complexType),
  periodSkip,
  scheduleBounds

All Direct / Indirect Based Elements (2):

  relativeDates (defined in AdjustableOrRelativeDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates2 complexType)

Known Usage Locations

- As direct type of elements (2):
  relativeDates (defined in AdjustableOrRelativeDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates2 complexType)

Annotation
A type describing a set of dates defined as relative to another set of dates.
Type Definition Detail

Type Derivation Tree Period (extension) Offset (extension) RelativeDateOffset (extension) RelativeDates

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="RelativeDates"> <xsd:complexContent> <xsd:extension base="RelativeDateOffset"> <xsd:sequence> <xsd:element minOccurs="0" name="periodSkip" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="scheduleBounds" type="DateRange"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/10)
periodSkip

  Type: | xsd:positiveInteger, predefined, simple content

  The number of periods in the referenced date schedule that are between each date in the relative date schedule. Thus a skip of 2 would mean that dates are relative to every second date in the referenced schedule. If present this should have a value greater than 1.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="periodSkip" type="xsd:positiveInteger"/>

scheduleBounds

  Type: | DateRange, complex content

  The first and last dates of a schedule. This can be used to restrict the range of values in a reference series of dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="scheduleBounds" type="DateRange"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.